hc_theme {highcharter} | R Documentation

## Highchart theme constructor

### Description

Function to create highcharts themes.

### Usage

    hc_theme(...)

### Arguments

`...` | A named parameters.

### Details

More examples are in http://www.highcharts.com/docs/chart-design-and-style/themes.

### Examples

    hc <- highcharts_demo()

    hc

    thm <- hc_theme(
     colors = c('red', 'green', 'blue'),
     chart = list(
     backgroundColor = "#15C0DE"
     ),
     title = list(
       style = list(
         color = '#333333',
         fontFamily = "Erica One"
       )
     ),
     subtitle = list(
       style = list(
         color = '#666666',
         fontFamily = "Shadows Into Light"
       )
     ),
     legend = list(
       itemStyle = list(
         fontFamily = 'Tangerine',
         color = 'black'
       ),
       itemHoverStyle = list(
         color = 'gray'
       )
      )
    )

    hc %>% hc_add_theme(thm)

[Package highcharter version 0.5.0 Index]